Page MenuHomeFreeBSD

www/chromium: Fix build on aarch64
ClosedPublic

Authored by manu on Sep 17 2018, 4:39 PM.

Details

Summary

arm64 doesn't have elf_aux_info and FreeBSD doesn't support getauxval.
For both boringssl and zlib disable the feature checking until we have
a way to expose those feature to the user.
Remove a patch (patch-third__party_boringssl_src_crypto_cpu-aarch64-linux.c) which is a no op
as all the code in under OPENSSL_LINUX which isn't defined.

Test Plan

poudriere ok.
successfully tested on a PineBook.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

manu created this revision.Sep 17 2018, 4:39 PM
mat added inline comments.Sep 17 2018, 6:23 PM
www/chromium/Makefile
67 ↗(On Diff #48129)

It was ok before.

208–210 ↗(On Diff #48129)

You need a:

.else
PLIST_SUB+= NOT_ARCH64=""
bapt added a comment.Sep 18 2018, 9:01 AM

what @mat says :)

cpm added a subscriber: cpm.Sep 23 2018, 11:14 PM
In D17207#366948, @bapt wrote:

what @mat says :)

What @mat and @bapt say ;)

cpm retitled this revision from www/chromium Fix build on aarch64 to www/chromium: Fix build on aarch64.Sep 23 2018, 11:17 PM
manu updated this revision to Diff 49008.Oct 11 2018, 9:07 AM
manu edited the test plan for this revision. (Show Details)
bapt accepted this revision.Oct 30 2018, 7:56 AM
This revision is now accepted and ready to land.Oct 30 2018, 7:56 AM
cpm accepted this revision.Oct 30 2018, 9:42 AM
This revision was automatically updated to reflect the committed changes.